Package org.apache.sling.resourceresolver.impl.helper

# Class ChainedIterator<T>

java.lang.Object
org.apache.sling.resourceresolver.impl.helper.AbstractIterator<T>
org.apache.sling.resourceresolver.impl.helper.ChainedIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

public class ChainedIterator<T> extends AbstractIterator<T>

## Constructor Summary

Constructors
Constructor
Description
`ChainedIterator(Iterator<Iterator<T>> iterators)`

## Method Summary

Modifier and Type
Method
Description
`protected T`
`seek()`
Abstract method to be overriden by subclasses

### Methods inherited from class org.apache.sling.resourceresolver.impl.helper.AbstractIterator

`hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### ChainedIterator

public ChainedIterator(Iterator<Iterator<T>> iterators)

## Method Details

### seek

protected T seek()
Description copied from class: `AbstractIterator`
Abstract method to be overriden by subclasses

Specified by:
  `seek` in class `AbstractIterator<T>`